Static Public Member Functions | List of all members
libetonyek::IWORKNumberConverter< T > Struct Template Reference

`#include <IWORKNumberConverter.h>`

## Static Public Member Functions
static boost::optional< T > | convert (const char *value)
static boost::optional< T > | convert (unsigned value)

## Member Function Documentation

## ◆ convert() [1/2]

template<typename T >

optional< PAGFootnoteKind > libetonyek::IWORKNumberConverter< T >::convert | ( | const char * | value | ) |
| static

Referenced by libetonyek::IWORKNumberElement< T >::attribute().

## ◆ convert() [2/2]

template<typename T >

optional< IWORKVerticalAlignment > libetonyek::IWORKNumberConverter< T >::convert | ( | unsigned | value | ) |
| static

The documentation for this struct was generated from the following files:

- IWORKNumberConverter.h
- IWORKNumberConverter.cpp
- PAG1Parser.cpp